summaryrefslogtreecommitdiffstats
path: root/usr.sbin/pc-sysinstall/backend/functions-bsdlabel.sh
diff options
context:
space:
mode:
authorjpaetzel <jpaetzel@FreeBSD.org>2011-09-19 05:12:53 +0000
committerjpaetzel <jpaetzel@FreeBSD.org>2011-09-19 05:12:53 +0000
commitd3ab0cf954ad6a22d6d4abd24a9711534e70af19 (patch)
tree1fec4b3768a98ffaf158f7aef4d80eae6d13b2ca /usr.sbin/pc-sysinstall/backend/functions-bsdlabel.sh
parent55278d20da7e1685274612bda3ff81211ee24e98 (diff)
downloadFreeBSD-src-d3ab0cf954ad6a22d6d4abd24a9711534e70af19.zip
FreeBSD-src-d3ab0cf954ad6a22d6d4abd24a9711534e70af19.tar.gz
Fix a logic bug in pc-sysinstall creating partitions.
Improve exit when an error occurs. Fix parsing to grab values which contain extra '=' signs. Fix a bug setting the timezone properly. Fix a usage bug when setting up with gmirror. Allow a uzip file from local media to be used. Allow specifying flags for "newfs" when using UFS as the file system. Run custom commands after doing final cleanup / fstab generation and such. Also fix using relative path for config file. Approved by: re (bz)
Diffstat (limited to 'usr.sbin/pc-sysinstall/backend/functions-bsdlabel.sh')
-rwxr-xr-xusr.sbin/pc-sysinstall/backend/functions-bsdlabel.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/usr.sbin/pc-sysinstall/backend/functions-bsdlabel.sh b/usr.sbin/pc-sysinstall/backend/functions-bsdlabel.sh
index e819d74..5b30695 100755
--- a/usr.sbin/pc-sysinstall/backend/functions-bsdlabel.sh
+++ b/usr.sbin/pc-sysinstall/backend/functions-bsdlabel.sh
@@ -45,7 +45,6 @@ check_for_enc_pass()
};
# On check on the disk-label line if we have any extra vars for this device
-# Only enabled for ZFS devices now, may add other xtra options in future for other FS's
get_fs_line_xvars()
{
ACTIVEDEV="${1}"
@@ -76,6 +75,15 @@ get_fs_line_xvars()
return
fi # End of ZFS block
+ # See if we are looking for UFS specific newfs options
+ echo $LINE | grep -q '^UFS' 2>/dev/null
+ if [ $? -eq 0 ] ; then
+ FSVARS="`echo $LINE | cut -d '(' -f 2- | cut -d ')' -f 1 | xargs`"
+ VAR="${FSVARS}"
+ export VAR
+ return
+ fi
+
fi # End of xtra-options block
# If we got here, set VAR to empty and export
@@ -278,7 +286,7 @@ setup_gpart_partitions()
# Check if using zfs mirror
echo ${XTRAOPTS} | grep -q "mirror" 2>/dev/null
- if [ $? -eq 0 ] ; then
+ if [ $? -eq 0 -a "$FS" = "ZFS" ] ; then
if [ "${_pType}" = "gpt" ] ; then
XTRAOPTS=$(setup_zfs_mirror_parts "$XTRAOPTS" "${_pDisk}p${CURPART}")
else
OpenPOWER on IntegriCloud